#

Function SYMBOL-NAME

Syntax:

symbol-name symbol => name

Arguments and Values:

symbol---a symbol.

name---a string.

Description:

symbol-name returns the name of symbol. The consequences are undefined if name is ever modified.

Examples:

     (symbol-name 'temp) =>  "TEMP"
     (symbol-name :start) =>  "START"
     (symbol-name (gensym)) =>  "G1234" ;for example

Side Effects: None.

Affected By: None.

Exceptional Situations:

Should signal an error of type type-error if symbol is not a symbol.

See Also: None.

Notes: None.

The following X3J13 cleanup issue, not part of the specification, applies to this section:

- LISP-SYMBOL-REDEFINITION:MAR89-X3J13

Copyright 1996-2005, LispWorks Ltd. All rights reserved.